SUpnpActionComplete Struct Reference

Internal implementation of the UpnpActionComplete object. More...

Collaboration diagram for SUpnpActionComplete:
[legend]

## Data Fields

int | m_errCode
UpnpString * | m_ctrlUrl
IXML_Document * | m_actionRequest
IXML_Document * | m_actionResult

## Detailed Description

Internal implementation of the UpnpActionComplete object.

## Field Documentation

IXML_Document* SUpnpActionComplete::m_actionRequest

The DOM document describing the action.

Referenced by UpnpActionComplete_new(), and UpnpActionComplete_set_ActionRequest().

IXML_Document* SUpnpActionComplete::m_actionResult

The DOM document describing the result of the action

Referenced by UpnpActionComplete_new(), and UpnpActionComplete_set_ActionResult().

UpnpString* SUpnpActionComplete::m_ctrlUrl

The control URL for service.

Referenced by UpnpActionComplete_delete(), UpnpActionComplete_new(), UpnpActionComplete_set_CtrlUrl(), and UpnpActionComplete_strcpy_CtrlUrl().

int SUpnpActionComplete::m_errCode

The result of the operation

Referenced by UpnpActionComplete_delete(), and UpnpActionComplete_new().

The documentation for this struct was generated from the following file:

- upnp/src/api/ActionComplete.c